Bug 1307407 - cp2k: FTBFS in rawhide
cp2k: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cp2k (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 1204701 1217862 1307447
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:11 EST by Fedora Release Engineering
Modified: 2016-04-17 20:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-17 20:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (18.54 MB, text/plain)
2016-02-13 16:11 EST, Fedora Release Engineering
no flags Details
root.log (95.99 KB, text/plain)
2016-02-13 16:11 EST, Fedora Release Engineering
no flags Details
state.log (685 bytes, text/plain)
2016-02-13 16:11 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:11:08 EST
Your package cp2k failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12810301

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:11:17 EST
Created attachment 1124291 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:11:23 EST
Created attachment 1124292 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:11:25 EST
Created attachment 1124293 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:37:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Raphael Groner 2016-03-01 05:15:44 EST
Please remove the package from koschei if there's no plan to fix it shortly.

Do you use it on other arches than just armv7hl?
Comment 6 Alin M Elena 2016-03-01 05:27:24 EST
this may need update to 3.0.0 I suspect... I may have a look into it if nobody already does it.
Alin
Comment 7 Alin M Elena 2016-03-01 13:16:41 EST
libxc needs updated... for 3.0.0
also get_arch_code was removed now %_arch needs to be used... 

Alin
Comment 8 Dominik 'Rathann' Mierzejewski 2016-03-05 20:34:36 EST
(In reply to Raphael Groner from comment #5)
> Please remove the package from koschei if there's no plan to fix it shortly.

Done.

> Do you use it on other arches than just armv7hl?

I don't actually use it on anything other than x86_64, so I'm relying on the testsuite to validate if it works. Upstream does use and test it on IBM BlueGene, for example. See https://dashboard.cp2k.org/ .
Comment 9 Dominik 'Rathann' Mierzejewski 2016-03-05 20:37:29 EST
(In reply to Alin M Elena from comment #6)
> this may need update to 3.0.0 I suspect... I may have a look into it if
> nobody already does it.

(In reply to Alin M Elena from comment #7)
> libxc needs updated... for 3.0.0
> also get_arch_code was removed now %_arch needs to be used... 

Thanks for the comments. I'm planning to work on this in the coming weeks. I've been dealing with mass rebuild fall-out in my other packages so far (and I was also on vacation). If you'd like to help, co-maintainership is welcome.
Comment 10 Dominik 'Rathann' Mierzejewski 2016-04-17 20:33:17 EDT
This is now fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.